/*******************************************************************************
 * Copyright (c) 2007, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.ui.views.markers;

/**
 * MarkerSupportConstants is a static class that supplies commonly used constants.
 * 
 * @since 3.4
 *
 */
public class MarkerSupportConstants {
	
	/**
	 * The constant used to specify the contains value on 
	 * a {@link FiltersContributionParameters}
	 */
	public static final String CONTAINS_KEY = "CONTAINS"; //$NON-NLS-1$
	
	/**
	 * The constant used to specify the does not contain value on 
	 * a {@link FiltersContributionParameters}
	 */
	public static String DOES_NOT_CONTAIN_KEY = "DOES_NOT_CONTAIN"; //$NON-NLS-1$
	

}
